.cards-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    position: relative;
    z-index: 2;
    align-items: stretch;
}

.cards-grid .card {
    padding: 16px;
    position: relative;
}

.cct-content {
    position: relative;
    background: #ffff;
    padding: 40px 24px 36px;
    border-radius: 12px;
    width: 100%;
    min-height: 260px;
}

.cct-content .badge {
    padding: 8px 16px;
    border-radius: 30px;
    margin-bottom: 8px;
    background: #333db8;
    color: white;
    font-family: 'SatoshiBold';
}

.cct-content .cct-months {
    margin-bottom: 8px;
}

.cct-content .cct-header-container {
    display: flex;
    align-items: center;
    justify-content: center;
}

.cct-content .cct-icon {
    height: auto;
    width: 100px;
    object-fit: contain;
    margin-top: 16px;
}

.step-badge {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 16px;
}

.step {
    width: 48px;
    height: 48px;
    border-radius: 50%;
    border: 1px solid var(--border-color);
    ;
    background: #f6f6f6;
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: serif;
    font-size: 20px;
    font-weight: 500;
    margin-bottom: 8px;
}

.badge {
    font-size: 12px;
    font-weight: 600;
    letter-spacing: 1px;
    text-transform: uppercase;
    color: #000;
    font-family: 'SatoshiRegular';
    background-color: #e5e5e5;
    display: inline-block;
}

.title {
    font-family: 'SatoshiBold';
    font-size: 18px;
    font-weight: 700;
    line-height: 1.4;
}

.card-content {
    max-height: 200px;
    opacity: 1;
    overflow: hidden;
    transition: max-height 0.45s ease, opacity 0.25s ease;
    margin-top: 8px;
    font-size: 14px;
    line-height: 1.6;
    flex-grow: 1;
}

.card-content p {
    margin: 0;
    font-size: 15px;
    line-height: 1.6;
    color: #333;
}

.mec-new-timeline {
    position: relative;
    width: 100%;
    max-width: 1024px;
    margin: auto;
    padding: 0px 20px;
}


.timeline-path {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 87%;
    z-index: 1;
    pointer-events: none;
}

.cct-separator-line {
    position: relative;
    height: 50px;
}

.card hr,
.cct-separator-line hr {
    border: 0px;
    border-bottom: 3px dotted #aeaeae;
    position: absolute;
    top: 50%;
    left: 0;
    right: 0;
    margin: 0px;
}

.card hr.half-width {
    width: 50%;
}

.card hr.half-width-right {
    right: 0;
    width: 50%;
    left: auto;
}

.card .corner-border-bottom-right,
.cct-separator-line .corner-border-bottom-right {
    border: 3px dotted #aeaeae;
    border-left: 0;
    position: absolute;
    right: 0;
    bottom: 0;
    height: 50%;
    width: 50%;
}

.card .corner-border-bottom-right {
    border-top-right-radius: 15px;
    border-bottom: 0px;
}

.cct-separator-line .corner-border-bottom-right {
    top: 0;
    border-top: 0px;
    border-bottom-right-radius: 15px;
}

.card .corner-border-bottom-left,
.cct-separator-line .corner-border-bottom-left {
    border: 3px dotted #aeaeae;
    border-right: 0;
    position: absolute;
    bottom: 3px;
    left: 0;
    height: 50%;
    width: 50%;
}

.cct-separator-line .corner-border-bottom-left {
    border-top-left-radius: 20px;
    border-bottom: 0;
}

.card .corner-border-bottom-left {
    top: 0;
    border-top: 0px;
    border-bottom-left-radius: 15px;
}

.timeline-circle {
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #ef6c57;
    position: absolute;
    right: 0;
    margin: 0px;
    transform: translateY(-50%);
    z-index: 3;
    top: 50%;
}

.timeline-circle.start {
    left: -25px;
}

.timeline-circle.end {
    right: -25px;
    background: #000;
}

.last-card hr.half-width {
    width: 100%
}

.first-card hr.half-width-right {
    width: 100%
}

.for-tab {
    display: none;
}

.from-1024 {
    display: block;
}

.mec-timeline-header {
    width: 100%;
    max-width: 280px;
    margin: auto;
}

.mec-timeline-header h2 {
    font-family: 'SatoshiBlack';
    line-height: 121%;
    letter-spacing: -0.16px;
    color: #2B2B2B;
    font-size: 22px;
    margin-bottom: 28px;
    text-align: center;
}

.mec-timeline-header p {
    color: #4C4C4C;
    font-family: SatoshiRegular;
    font-size: 16px;
    text-align: center;
}

.mec-new-timeline-section {
    background-color: #F6F6F6;
    text-align: center;
    padding: 64px 0px;
    margin: auto;

}

.rounded-logo-grid .cct-icon {
    width: 40px;
    height: 40px;
    object-fit: contain;
    border-radius: 50%;
    text-align: center;
    background-color: #efefef;
    display: inline-block;
    vertical-align: middle;
    margin-top: 10px;
    margin-right: 5px;
}


.corner-border-mobile {
    display: none;
    border: 3px dotted #aeaeae;
    position: absolute;
    left: 0;
    border-left: 0;
    top: 26px;
    border-bottom: 0;
    border-top: 0;
    height: 97%;
    width: 50%;
}

.cct-separator-line-mobile .timeline-circle-mobile {
    display: none;
    width: 25px;
    height: 25px;
    border-radius: 50%;
    background: #ef6c57;
    position: relative;
    margin: auto;
    text-align: center;
    border-bottom: 0;
    border-top: 0;
}

@media (max-width: 1440px) {
    .mec-new-timeline {
        padding: 0px 35px;
    }

    .timeline-circle.end {
        top: 50%;
    }
}

@media (max-width: 1024px) {
    .cards-grid {
        grid-template-columns: repeat(2, 1fr);
    }

    .timeline-circle.start {
        left: -25px;
    }

    .timeline-circle.end {
        right: -25px;
        top: 50%;
    }

    .for-tab {
        display: block;
    }

    .last-card hr.half-width {
        width: 50%
    }

    .first-card hr.half-width-right {
        width: 50%
    }

    .from-1024 {
        display: none;
    }
}

@media (max-width: 640px) {
    .cards-grid {
        grid-template-columns: 1fr;
        row-gap: 0rem;
    }

    .cards-grid .card {
        padding: 8px 0px;
    }

    .corner-border-mobile {
        display: block;
    }

    .cards-grid .card {
        padding: 20px 0px;
    }

    .cct-separator-line-mobile .timeline-circle-mobile {
        display: block;
    }

    .cct-separator-line-mobile .end {
        background: #000;
    }

    .cards-grid .card hr,
    .cards-grid .card .corner-border-bottom-right,
    .cards-grid .card .corner-border-bottom-left,
    .mec-new-timeline .cct-separator-line {
        display: none;
    }

    .timeline-circle {
        display: none;
    }

    .cct-separator-line-mobile .timeline-circle-mobile {

        margin: 15px auto;
    }
}

@media (min-width: 375px) {
    .mec-timeline-header {
        max-width: 320px;
    }

    .mec-timeline-header h2 {
        font-size: 26px;
    }

    .mec-timeline-header p {
        font-size: 18px;
    }

}

@media (min-width: 700px) {
    .mec-timeline-header {
        max-width: 700px;
    }

    .mec-new-timeline-section {
        padding: 72px 0px;
    }

    .mec-new-timeline {
        padding: 0px 35px;
    }
}

@media (min-width: 1000px) {
    .mec-timeline-header h2 {
        font-size: 32px;
    }

    .mec-timeline-header p {
        font-size: 18px;
    }

    .mec-new-timeline-section {
        padding: 96px 0px;
    }

}